﻿using HardwareShopDatabaseImplement.Models.Storekeeper;
using HardwareShopDatabaseImplement.Models.Worker;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HardwareShopDatabaseImplement.Models.ManyToMany
{
    public class BuildComponent
    {

        public int BuildId { get; set; }

        public int ComponentId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Build Build { get; set; } = new();

        public virtual Component Component { get; set; } = new();

    }
}
