﻿using HardwareShopContracts.BindingModels;
using HardwareShopContracts.SearchModels;
using HardwareShopContracts.ViewModels;

namespace HardwareShopContracts.BusinessLogicsContracts
{
    public interface IPurchaseLogic
    {
        List<PurchaseViewModel>? ReadList(PurchaseSearchModel? model);
        bool CreatePurchase(PurchaseBindingModel model);
        bool DeliveryPurchase(PurchaseBindingModel model);
    }
}
